[ 
https://issues.apache.org/jira/browse/DIRKRB-647?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16121519#comment-16121519
 ] 

Colm O hEigeartaigh commented on DIRKRB-647:
--------------------------------------------

We could always switch Kerby 1.1 to require JDK8. 

> Compilation error with java7 in gss moudle
> ------------------------------------------
>
>                 Key: DIRKRB-647
>                 URL: https://issues.apache.org/jira/browse/DIRKRB-647
>             Project: Directory Kerberos
>          Issue Type: Bug
>            Reporter: Jiajia Li
>             Fix For: 1.1.0
>
>
>  Failed to execute goal 
> org.apache.maven.plugins:maven-compiler-plugin:3.6.1:compile 
> (default-compile) on project kerb-gssapi: Compilation failure: Compilation 
> failure:
> [ERROR] 
> directory-kerby/kerby-kerb/kerb-gssapi/src/main/java/org/apache/kerby/kerberos/kerb/gss/impl/GssAcceptCred.java:[64,57]
>  cannot find symbol
> [ERROR] symbol:   method getPrincipal()
> [ERROR] location: variable keyTab of type javax.security.auth.kerberos.KeyTab
> [ERROR]directory-kerby/kerby-kerb/kerb-gssapi/src/main/java/org/apache/kerby/kerberos/kerb/gss/impl/CredUtils.java:[64,28]
>  cannot find symbol
> [ERROR] symbol:   method getPrincipal()
> [ERROR] location: variable tab of type javax.security.auth.kerberos.KeyTab



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Reply via email to